import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconLock = (props: IconProps) => {
    return <Icon  id="IconLock" {...props}>
        <path d="M9 10C9 10.5523 8.55228 11 8 11C7.44772 11 7 10.5523 7 10C7 9.44772 7.44772 9 8 9C8.55228 9 9 9.44772 9 10Z" />
        <path fillRule="evenodd" clipRule="evenodd" d="M11 5.5H11.5C12.6046 5.5 13.5 6.39543 13.5 7.5V12.5C13.5 13.6046 12.6046 14.5 11.5 14.5H4.5C3.39543 14.5 2.5 13.6046 2.5 12.5V7.5C2.5 6.39543 3.39543 5.5 4.5 5.5H5V4.5C5 3.70435 5.31607 2.94129 5.87868 2.37868C6.44129 1.81607 7.20435 1.5 8 1.5C8.79565 1.5 9.55871 1.81607 10.1213 2.37868C10.6839 2.94129 11 3.70435 11 4.5V5.5ZM6.58579 3.08579C6.96086 2.71071 7.46957 2.5 8 2.5C8.53043 2.5 9.03914 2.71071 9.41421 3.08579C9.78929 3.46086 10 3.96957 10 4.5V5.5H6V4.5C6 3.96957 6.21071 3.46086 6.58579 3.08579ZM12.5 7.5C12.5 6.94772 12.0523 6.5 11.5 6.5H4.5C3.94772 6.5 3.5 6.94772 3.5 7.5V12.5C3.5 13.0523 3.94772 13.5 4.5 13.5H11.5C12.0523 13.5 12.5 13.0523 12.5 12.5V7.5Z" />
    </Icon>;
};

export default IconLock;
